CHSH(1)

NAMN
chsh - ändra ditt inloggningsskal

SYNOPSIS

chsh [-s shell] [-l] [-h] [-V] [username|UID]

BESKRIVNING

chsh används för att ändra ditt inloggningsskal. Om ett skal inte anges på kommandoraden frågar chsh efter ett sådant.

chsh stöder icke-lokala poster (kerberos, LDAP, etc.) om den är länkad med libuser, annars använd ypchsh(1), lchsh(1) eller någon annan implementation för icke-lokala poster.

FLAGGOR

-s, --shell skal
    Ange ditt inloggningsskal.

-l, --list-shells
    Skriv ut listan över skal som finns i /etc/shells och avsluta.

-h, --help
    Visar hjälptext och avslutar. (Den korta flaggan -h används sedan version 2.30; i äldre versioner användes det numera föråldrade -u).

-V, --version
    Visa version och avsluta. (Korta flaggan -V används sedan version 2.39; äldre versioner använde det numera föråldrade -v).

GILTIGA SKAL

chsh accepterar det fullständiga sökvägsnamnet för alla körbara filer i systemet.

Standardbeteendet för användare som inte är root är att endast acceptera skal som listas i filen /etc/shells och utfärda en varning för root-användare. Det kan också konfigureras vid kompileringstillfället så att endast en varning utfärdas för alla användare.

AVSLUTSSTATUS

Returnerar 0 om operationen lyckades, 1 om operationen misslyckades eller om kommandosyntaxen inte var giltig.

UPPHOVSPERSONER

SE ÄVEN

login(1), login.defs(5), passwd(5), shells(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot chsh ingår i paketet util-linux som kan hämtas från